# 80×86 Architecture: GNU COFF Format

Assembler code

```
.text:00000178
.text:00000178 loc_178:                                ; CODE XREF: XDPSCreateStandardColormaps+53↑j
.text:00000178                 test    esi, esi
.text:0000017A                 jnz     short loc_19C
.text:0000017C                 lea     eax, [ebp+var_84]
.text:00000182                 push    eax
.text:00000183                 push    [ebp+arg_4]
.text:00000186                 push    [ebp+arg_0]
.text:00000189                 call    XGetWindowAttributes
.text:0000018E                 add     esp, 0Ch
.text:00000191                 test    eax, eax
.text:00000193                 jz      loc_21C
.text:00000199                 mov     esi, [ebp+var_6C]
.text:0000019C
.text:0000019C loc_19C:                                ; CODE XREF: XDPSCreateStandardColormaps+57↑j
.text:0000019C                                         ; XDPSCreateStandardColormaps+62↑j
.text:0000019C                 cmp     dword ptr [edi], 0
.text:0000019F                 jnz     short loc_1A7
.text:000001A1                 cmp     [ebp+arg_4], 0
.text:000001A5                 jz      short loc_21C
.text:000001A7
.text:000001A7 loc_1A7:                                ; CODE XREF: XDPSCreateStandardColormaps+87↑j
.text:000001A7                 push    [ebp+arg_0]
.text:000001AA                 call    FindDpyRec
.text:000001AF                 mov     large ds:75E4h, eax
.text:000001B4                 add     esp, 4
.text:000001B7                 test    eax, eax
.text:000001B9                 jz      loc_570
.text:000001BF                 push    esi
.text:000001C0                 call    XVisualIDFromVisual
.text:000001C5                 mov     [ebp+var_24], eax
.text:000001C8                 lea     eax, [ebp+var_88]
.text:000001CE                 push    eax
.text:000001CF                 lea     eax, [ebp+var_28]
.text:000001D2                 push    eax
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/disassembler/disassembly-gallery/80-86-architecture-gnu-coff-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
